package org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template;

  import java.io.File;
***REMOVED***
import java.io.InputStream;
import java.util.Collection;
import java.util.Vector;

import org.gcube.dataanalysis.dataminer.poolmanager.ansible.model.Role;
import org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.AnsibleBridge;
import org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.AnsibleSerializeHelper;

  public class StaticRoleManager ***REMOVED***


    public StaticRoleManager() ***REMOVED***
      
    ***REMOVED***

    public String getRoot() ***REMOVED***
    String input = AnsibleBridge.class.getClassLoader().getResource("static").getPath();
    return input;
    ***REMOVED***

    public Collection<Role> getStaticRoles() ***REMOVED***
      Collection<Role> out = new Vector<>();
      for(File f: new File(this.getRoot()).listFiles()) ***REMOVED***
    	  try ***REMOVED***
          out.add(AnsibleSerializeHelper.deserializeRoleFromFilesystem(f));
        ***REMOVED*** catch(IOException e) ***REMOVED***
          e.printStackTrace();
        ***REMOVED***
      ***REMOVED***
      return out;
    ***REMOVED***
    


  ***REMOVED***
